summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xsource/current/gcc/gcc-multilib.SlackBuild11
1 files changed, 8 insertions, 3 deletions
diff --git a/source/current/gcc/gcc-multilib.SlackBuild b/source/current/gcc/gcc-multilib.SlackBuild
index 801b251..73840a6 100755
--- a/source/current/gcc/gcc-multilib.SlackBuild
+++ b/source/current/gcc/gcc-multilib.SlackBuild
@@ -455,9 +455,14 @@ tar xf $CWD/gcc-$SRCVER.tar.?z || exit 1
make -i ada.install-common DESTDIR=$PKG1 || exit 1
# Address Makefile installation error:
make -i install-gnatlib DESTDIR=$PKG1 INSTALL="install" INSTALL_DATA="install -c -m644" || exit 1
- #( cd ../$TARGET/32/libada
- # make -i install-gnatlib DESTDIR=$PKG1 INSTALL="install" INSTALL_DATA="install -c -m644" || exit 1
- #)
+ ( cd ../$TARGET/libada
+ make -i install-gnatlib DESTDIR=$PKG1 INSTALL="install" INSTALL_DATA="install -c -m644" || exit 1
+ )
+ if [ "$ARCH" = "x86_64" ]; then
+ ( cd ../$TARGET/32/libada
+ make -i install-gnatlib DESTDIR=$PKG1 INSTALL="install" INSTALL_DATA="install -c -m644" || exit 1
+ )
+ fi
)
make -i install-info DESTDIR=$PKG1 || exit 1